function align() {
    var height = $(window).height() - $('.header').height() - 2;

    $(".wrapper .content").each(function() {
        $(this).height(height);
    });
}

function show(state) {
    $('.wrapper .content').each(function() {
        if(!$(this).hasClass("hidden")) {
            $(this).addClass("hidden");
        }
    });

    $('.' + state).removeClass("hidden");
}

function showProgress(status) {
    $('.progress-wrapper .status').each(function() {
        if(!$(this).hasClass("hidden")) {
            $(this).addClass("hidden");
        }
    });

    $('.status-' + status).removeClass("hidden");
}

function onInit(status) {
    //console.log("onInit", status);

    if (status == 'installed') {
        // Nothings
    } else if (status == 'runned') {
        window.close();
    } else if (status == 'unpermitted') {
        show("permitted-state");
    } else {
        show("download-state");
        showProgress("downloading");
    }
}

function onError(message) {
    $('.error-state .notification').html(message);
    show("error-state");
}

function onDownloading(current, size) {
    //console.log("onDownloading", arguments);

    current = parseInt(current);
    size = parseInt(size);

    if (size == 0) {
        return;
    }

    var percent = Math.round(current / size * 100);
    var width = $('.download-state .progress').width() / 100 * percent;

    $('.download-state .progress .active').width(width);
}
function onDownloaded() {
    showProgress("unzipping");
}
function onUnzipped() {
    showProgress("installing");
}
function onInstalled() {
    showProgress("running");
}
function onRunned() {
    window.close();
}

function run() {
    show("loader-state");
}

function download() {

}

function confirm() {
    document.getElementById("applet").confirmed();
}

$(document).ready(function() {
    $(window).resize(function() {
        align();
    });

    window.setInterval(function() {
        var el;

        $('.dots').each(function() {
            el = $(this);

            if(el.html() == '...'){
                el.html('');
            } else {
                el.append('.');
            }
        });
    }, 1000);

    if (deployJava.getJREs().length == 0) {
        show("java-state");
    }

    align();
});